#
# spec file for package plan (Version 1.8.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openmotif openmotif-devel xf86 yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         plan
Copyright:    distributable
Group:        Applications/Productivity
Provides:     plan 
Autoreqprov:  on
Version:      1.8.4
Release:      166
Summary:      Clear and easy to use schedule planner
Source: ftp://ftp.fu-berlin.de/pub/unix/graphics/plan-%{version}.tar.gz
Source1: rc.config.plan
Source2: rcnetplan
URL: http://www.IN-Berlin.DE/User/bitrot/plan.html
Patch: plan-%{version}.dif
Patch1:  plan-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
plan is a schedule planner based on X/Motif. It displays a month calendar
similar to xcal, but every day box is large enough to show appointments
in small print. By pressing on a day box, the appointments for that
day can be listed and edited.

Authors:
--------
    Thomas Driemeyer <thomas@bitrot.in-berlin.de>

SuSE series: xap

%prep
%setup
%patch
%patch1

%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make -C src linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/lib/netplan.dir,etc/init.d}
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man{1,4}
chown nobody.nogroup $RPM_BUILD_ROOT/var/lib/netplan.dir
cp netplan-acl $RPM_BUILD_ROOT/var/lib/netplan.dir/.netplan-acl
make -C src \
     DESTDIR=$RPM_BUILD_ROOT \
     install
ln -sf ../lib/X11/plan/pland $RPM_BUILD_ROOT/usr/X11R6/bin/pland
cp -a holiday $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan
chmod +r $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/*
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current
ln -sf holiday_us $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current.english
ln -sf holiday_german $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current.german
ln -sf holiday_german $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current
ln -sf holiday_french $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current.french
ln -sf holiday_italy $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current.italian
ln -sf holiday_spain $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/holiday/holiday_current.spanish
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/plan/notifier $RPM_BUILD_ROOT/usr/X11R6/bin/notifier
install -m0744 %{_sourcedir}/rcnetplan $RPM_BUILD_ROOT/etc/init.d/netplan
ln -sf ../../etc/init.d/netplan $RPM_BUILD_ROOT/usr/sbin/rcnetplan
# Installing rc.config-update
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install %{_sourcedir}/rc.config.plan $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.netplan

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.netplan
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.netplan"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/netplan

%postun
sbin/insserv etc/init.d/

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
/var/adm/fillup-templates/rc.config.netplan
/var/lib/netplan.dir
/usr/sbin/rcnetplan
%config /etc/init.d/netplan
%doc README HISTORY
/usr/X11R6/lib/X11/plan
/usr/X11R6/bin/*
%doc /usr/X11R6/man/*/*
/usr/sbin/netplan

%changelog -n plan
* Sun Sep 16 2001 - draht@suse.de
- rcscript bugfix (test -x $FOO_BIN   ->   test -x $NETPLAN_BIN)
* Thu May 17 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Thu Apr 12 2001 - nadvornik@suse.cz
- changed initscript according to skeleton
* Wed Nov 29 2000 - nadvornik@suse.cz
- moved init script to /etc/init.d
* Wed Nov 22 2000 - nadvornik@suse.cz
- removed runlevel links
- changed name of /sbin/init.d/rcnetplan to netplan
* Mon Nov 20 2000 - nadvornik@suse.cz
- compiled with openmotif
* Tue Sep 19 2000 - nadvornik@suse.cz
- update to 1.8.4
* Tue Jun 06 2000 - nadvornik@suse.cz
- lesstif linked dynamic
* Thu Apr 27 2000 - nadvornik@suse.cz
- fixed daemon.c to compile
* Fri Mar 24 2000 - nadvornik@suse.cz
- added BuildRoot
- spec file cleanup
* Mon Feb 28 2000 - kukuk@suse.de
- Fix for glibc 2.1.3
* Mon Feb 21 2000 - fehr@suse.de
- fix austrian holiday file
* Fri Feb 04 2000 - freitag@suse.de
- new version 1.8.3, starting netserver through rc-script, german holiday defaults
* Tue Nov 23 1999 - fehr@suse.de
- fix typo in german holiday description
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - fehr@suse.de
- netplan.dir is now in /etc/plan (FSS compliance)
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Mon Jul 12 1999 - fehr@suse.de
- changed to new version 1.8.2
* Fri Apr 16 1999 - fehr@suse.de
- changed to new version 1.8
* Wed Jan 20 1999 - ro@suse.de
- don't use -m486 on alpha
* Thu Sep 24 1998 - ro@suse.de
- define _GNU_SOURCE
* Fri Sep 11 1998 - fehr@suse.de
- Changed to new version 1.7.2
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Tue Apr 21 1998 - fehr@suse.de
- Changed to new version 1.7.1
- added links from /usr/lib/plan/holiday/holiday_current.<lang>
* Fri Dec 12 1997 - ro@suse.de
- build static and dynamic of notifier as well
* Tue Dec 09 1997 - ro@suse.de
- build static and dynamic version of plan
* Mon Jun 09 1997 - fehr@suse.de
- make /usr/X11R6/bin/pland a relative link
* Wed May 14 1997 - fehr@suse.de
- Updated to Version 1.6.1
  New Features since Version 1.5.3: (see also /usr/dpc/packages/plan/HISTORY)
  * Finnish holiday file by Steven Wahlberg
  * new day view (does not work in Japanese yet, sorry)
  * configuration option to use main window for all views
  * read-only access to xmbase-grok databases (see Help->Database access)
  * improved holiday grammar, Erwin Achermann <acherman@inf.ethz.ch>
  * new netplan -f option to prevent daemonizing, like -d but wo. logging
  * implemented simple access list features in netplan
  * Belgian holiday file (Danny Backx <u27113@kb.be>)
  * pland got new -l/-L options to enable/disable auto-exit on logout
* Thu Jan 02 1997 - fehr@suse.de
- Updated to Version 1.5.3
  New Features since Version 1.5.1: (see also /usr/dpc/packages/plan/HISTORY)
  * new search modes: one file, private only
  * new alternative small month view
  * preference menu now scrolls if the screen is too small (640x480)
  * new GPS week mode (GPS=Global Positioning System)
- Global holiday file is /usr/lib/plan/holiday/holiday_current that is a
  link to holiday_german
